## EogSidebar

EogSidebar

## Functions

GtkWidget * | eog_sidebar_new ()
void | eog_sidebar_add_page ()
void | eog_sidebar_remove_page ()
void | eog_sidebar_set_page ()
gint | eog_sidebar_get_n_pages ()
gboolean | eog_sidebar_is_empty ()

## Properties

GtkWidget * | current-page | Read / Write

## Signals

void | page-added | Run First
void | page-removed | Run First

## Types and Values

struct | EogSidebar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EogSidebar

## Implemented Interfaces

EogSidebar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### eog_sidebar_new ()

    GtkWidget *
    eog_sidebar_new (void);

### eog_sidebar_add_page ()

    void
    eog_sidebar_add_page (EogSidebar *eog_sidebar,
                          const gchar *title,
                          GtkWidget *main_widget);

### eog_sidebar_remove_page ()

    void
    eog_sidebar_remove_page (EogSidebar *eog_sidebar,
                             GtkWidget *main_widget);

### eog_sidebar_set_page ()

    void
    eog_sidebar_set_page (EogSidebar *eog_sidebar,
                          GtkWidget *main_widget);

### eog_sidebar_get_n_pages ()

    gint
    eog_sidebar_get_n_pages (EogSidebar *eog_sidebar);

### eog_sidebar_is_empty ()

    gboolean
    eog_sidebar_is_empty (EogSidebar *eog_sidebar);

## Types and Values

### struct EogSidebar

    struct EogSidebar;

## Property Details

### The `“current-page”` property

      “current-page”             GtkWidget *

The currently visible page.

Owner: EogSidebar

Flags: Read / Write

## Signal Details

### The `“page-added”` signal

    void
    user_function (EogSidebar *eogsidebar,
                   GtkWidget  *widget,
                   gpointer    user_data)

Flags: Run First

### The `“page-removed”` signal

    void
    user_function (EogSidebar *eogsidebar,
                   GtkWidget  *widget,
                   gpointer    user_data)

Flags: Run First